Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component.behavior
Interface Behavior

All Known Subinterfaces:
  ClientBehavior

All Known Implementing Classes:
  AjaxBehavior, BehaviorBase, ClientBehaviorBase

    public interface Behavior

The Behavior interface is the root API of the component behavior model. Behaviors are objects that are attached to `UIComponent`s in order to enhance components with functionality not explicitly defined by the component implementation itself. The component behavior API is intended to support different types of behavior contracts, and possibly different types of interactions between behaviors and components. The first such contract is the `ClientBehavior`, which defines a mechanism by which script-producing behaviors attach scripts to components for execution on the client. In the future other types of behavior contracts may be added.

Like other attached objects (converters, validators) Behavior instances are created via the `Application` object. See `Application.createBehavior(java.lang.String)` for more details.

Since:
  2.0

Method Summary
`void` | `broadcast(BehaviorEvent event)` Broadcast the specified `BehaviorEvent` to all registered event listeners who have expressed an interest in events of this type.

Method Detail

### broadcast

    void broadcast(BehaviorEvent event)

  Broadcast the specified `BehaviorEvent` to all registered event listeners who have expressed an interest in events of this type. Listeners are called in the order in which they were added.

  Parameters:
    `event` - The `BehaviorEvent` to be broadcast
  Throws:
    `AbortProcessingException` - Signal the JavaServer Faces implementation that no further processing on the current event should be performed
    `java.lang.IllegalArgumentException` - if the implementation class of this `BehaviorEvent` is not supported by this component
    `java.lang.NullPointerException` - if `event` is `null`
  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.